/*
 * Lcd_Display.c : Program to demonstrate displaying of message on LCD
 *
 * Created: 11/6/2012 8:25:05 PM
 *  Author: xplore_labz
 * note: Refer lcd.c(lcd_4_bit.c/lcd_8_bit.c) file for Pin connections
 */ 



/* io.h contains the defnition of all ports and SFRs 
   delay.h contains the in built delay routines(us and ms routines)*/
#include <avr\io.h> 
#include <util\delay.h> 

#include "lcd.h"	//User defined LCD library which conatins the lcd routines


/* start the main program */
void main() 
{

  /* Initilize the lcd before displaying any thing on the lcd */
    LCD_Init();

  /* Display "hello, world" on first line*/
  LCD_DisplayString("ExploreEmbedded");

  /*Go to second line and display "good morning" */
  LCD_GoToLineTwo();
  LCD_DisplayString("      .com     ");

                                                                            

  }
